List MCP servers
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/mcp-servers \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"transport": "stdio",
"enabled": true,
"permission_tier": "read_only",
"adapter_key": "<string>",
"last_connected_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"tool_grants_count": 123
}
]{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}MCP Servers
List MCP servers
Lists the MCP servers registered in the organisation, sorted by name, with their status and how many tool grants each one has. Any member can read it.
GET
/
api
/
v1
/
org
/
mcp-servers
List MCP servers
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/mcp-servers \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"transport": "stdio",
"enabled": true,
"permission_tier": "read_only",
"adapter_key": "<string>",
"last_connected_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"tool_grants_count": 123
}
]{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The registered servers
Available options:
stdio, http, sse Available options:
read_only, read_write The curated adapter the server was registered from, or null.
When Ankra last connected to the server.
The error from the last failed connection, or null.
How many tool grants the server has.